<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  トピック編集確認画面表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketBBS.pc.view
 */
class topicEditConfirmAction extends Pocket_Bbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $topic_id = $request['topic_id'];

        // トピック作成機能のチェック
        if (!IS_TOPIC_ENTRY && !pocket_isAuth())
            pocket_redirect('default.view');

        // 認証チェック
        if (pocket_isAuth())
        {
            // 管理者なので直接編集画面へリダイレクト
            pocket_redirect('topicEdit.view', array('topic_id' => $topic_id));
        }

        /**
         *  メイン情報の取得、設定
         */
        // コメント情報の取得、設定
        $topic = db_get_topic_info($topic_id);
        $this->assign('topic', $topic);

        // トピック情報の存在チェック
        if (!$topic)
            pocket_redirect('default.view');

        /**
         *  基本情報の設定
         */
        // ページタイトルの設定
        $this->assign('page_title', 'トピックの編集');

        // サイドメニュー情報の設定
        $this->assignSideMenuInfo();

        // カテゴリのパン屑リスト情報の設定
        $this->assignCategoryBreadcrumbsListInfo($topic['category_id']);

        return POCKET_ACTION_SUCCESS;
    }
}

?>
